import * as AWS from 'aws-sdk';
import { LambdaTriggerConfig } from './lambda-trigger-config';
/**
 * Config for the Lambda function.
 */
export declare class LambdaConfig {
    nshmp: NshmpLambdaConfig;
    ec2: EC2LambdaConfig;
    triggerConfig: LambdaTriggerConfig;
    rawTriggerConfig: string;
    triggerFileName: string;
    jobId: string;
}
export declare class NshmpLambdaConfig {
    snsTopic: AWS.SNS.Topic;
}
export declare class EC2LambdaConfig {
    ec2ImageId: string;
    ec2InstanceProfile: string;
    ec2UserDataContents: string;
}
