import * as AWS from 'aws-sdk';
import { PromiseResult } from 'aws-sdk/lib/request';
import { LambdaConfig } from '../config/lambda-config';
/**
 * Lambda utilities
 */
export declare class NshmpLambdaUtil {
    static timeFormat: string;
    private constructor();
    /**
     * Send error message notification.
     *
     * @param config The config
     * @param errorMessage The error message to send
     */
    static onError(lambdaError: LambdaError): Promise<PromiseResult<AWS.SNS.PublishResponse, AWS.AWSError> | void>;
    static sendNotification(subject: string, message: string, config: LambdaConfig): Promise<PromiseResult<AWS.SNS.PublishResponse, AWS.AWSError> | void>;
}
export declare class LambdaError extends Error {
    lambdaConfig: LambdaConfig;
    constructor(message: string, lambdaConfig: LambdaConfig);
}
